MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000078WolfAdminGeneralpublic2017-02-02 15:512018-02-13 11:45
ReporterTimo 
Assigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000078: Improve error handling
DescriptionTo ease debugging (e.g. development, also for future extensions) the error messages should be more descriptive.
Steps To ReproduceAt the moment tables.contains or util.escape warn about nil values with a line number reference to their respective files, but these should refer to the file that they're called from.
TagsNo tags attached.
ModN/A
Mod version
Standaloneno
Attached Files

- Relationships
related to 0000075resolvedTimo Improve code efficiency 

-  Notes
(0000093)
Timo (administrator)
2017-02-04 18:45

Should probably also warn if events take up too much time or if the database has issues (again, takes up too much time).
(0000112)
Timo (administrator)
2018-02-13 11:45

Fixed in changeset 48522b8dcf75dd5a869466b47ffb5be8d700c021.

- Related Changesets
WolfAdmin: develop/1.2.0 48522b8d
Timestamp: 2018-02-13 11:45:11
Author: Timo
Details ] Diff ]
Added util.typecheck function to ensure types in certain utility functions (fixes 0000078)
mod - luamods/wolfadmin/util/bits.lua Diff ] File ]
mod - luamods/wolfadmin/util/pagination.lua Diff ] File ]
mod - luamods/wolfadmin/util/tables.lua Diff ] File ]
mod - luamods/wolfadmin/util/util.lua Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-02-02 15:51 Timo New Issue
2017-02-02 15:51 Timo Relationship added related to 0000075
2017-02-04 18:45 Timo Note Added: 0000093
2018-02-13 11:45 Timo Changeset attached => WolfAdmin develop/1.2.0 48522b8d
2018-02-13 11:45 Timo Note Added: 0000112
2018-02-13 11:45 Timo Assigned To => Timo
2018-02-13 11:45 Timo Status new => resolved
2018-02-13 11:45 Timo Resolution open => fixed
2018-02-13 11:45 Timo Fixed in Version => 1.2.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker